package org.jerrymouse.cc.site.store.ftp;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@Embeddable
public class FtpStoreConfig {
	@Column(name="ftp_host")
	private String host;
	@Column(name="ftp_username")
	private String username;
	@Column(name="ftp_password")
	private String password;
	@Column(name="ftp_path")
	private String path;

	public void setHost(String host) {
		this.host = host;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getHost() {
		return host;
	}

	public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public void setUsername(String username) {
		this.username = username;
	}
}
